Jump to content
Peter Knight

MAMP Pro - Upgrades screen error

Recommended Posts

Hi

I'm developing a site locally and noticed my Upgrades screen is blank. I've tracked down the error to the following

Quote

ProcessWireUpgradeCheck: Error loading GitHub branches - https://api.github.com/repos/processwire/processwire/branches - HTTP error(s): 2: fsockopen(): Failed to enable crypto, 2: fsockopen(): unable to connect to ssl://api.github.com:443 (Unknown error) - Check that HTTP requests are not blocked by your server.

I can't see any setting in MAMP 5.5 Mac to only allow / disallow HTTPS etc

Wondering if anyone had come experienced similar. Never had this issue before.

Thanks

Share this post


Link to post
Share on other sites

Hi,

There is a similar thread over here: https://processwire.com/talk/topic/19180-error-loading-github-branches/

Maybe it is related, maybe it is not, I do not know, however I also use MAMP Pro without issues, but I am running 5.5.1. Maybe try upgrading MAMP Pro if not yet running 5.5.1, or try using an older version of PHP. I use 7.1.x as it is still supported till 1 Dec 2019 😉 Anyway, I always play safe and only upgrade whenever there is real need for it.

 

  • Like 1

Share this post


Link to post
Share on other sites

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...